Compute Unit Cost

Compute Unit Cost

Compute units (CU) measure the resource cost of each API request across Birdeye Data API, Perps Data API, and Blockchain Data API.

CU Models

  • fixed: one constant CU value per request
  • batch: ceil(base * n^multiplier) (Reference)
  • dynamic: CU depends on response size tiers (Reference)
  • dynamic-by-resolution: CU depends on resolution, requested depth, and historical lookback (Reference)

Birdeye Data API / Price & OHLCV

EndpointSummaryCU modelCU rule
GET /defi/historical_price_unixPrice - Historical by unix timefixed6 CU
GET /defi/history_pricePrice - Historicalfixed45 CU
GET /defi/multi_pricePrice - Multiplebatchceil(3 * count^0.8)
POST /defi/multi_pricePrice - Multiplebatchceil(3 * count^0.8)
GET /defi/ohlcvOHLCVfixed35 CU
GET /defi/ohlcv/base_quoteOHLCV - Base/Quotefixed35 CU
GET /defi/ohlcv/pairOHLCV - Pairfixed35 CU
GET /defi/pricePricefixed3 CU
POST /defi/price_volume/multiPrice Volume - Multibatchceil(8 * count^0.8)
GET /defi/price_volume/singlePrice Volume - Singlefixed8 CU
GET /defi/v3/liquidity/history/tokenLiquidity History - Tokendynamic-by-resolution1m base 20 CU, 4h base 50 CU, 1D base 200 CU; depth multiplier: <=100 x1, <=300 x2, <=500 x3; lookback multiplier: <1 day x1, 1-100 days x1.5, >100 days x3; formula: ceil(base depth lookback)
POST /defi/v3/liquidity/latest/tokenLiquidity Latest - Tokenbatchceil(5 * token_count^0.8)
GET /defi/v3/liquidity/ohlc/pairLiquidity OHLC - Pairdynamic-by-resolution1m base 20 CU; depth multiplier: <=100 x1, <=300 x2, <=500 x3; lookback multiplier: <1 day x1, 1-100 days x1.5, >100 days x3; formula: ceil(base depth lookback)
GET /defi/v3/liquidity/ohlc/tokenLiquidity OHLC - Tokendynamic-by-resolution1m base 20 CU, 4h base 50 CU, 1D base 200 CU; depth multiplier: <=100 x1, <=300 x2, <=500 x3; lookback multiplier: <1 day x1, 1-100 days x1.5, >100 days x3; formula: ceil(base depth lookback)
GET /defi/v3/ohlcvOHLCV V3dynamic<=1000: 60 CU; <=2000: 90 CU; <=5000: 120 CU
GET /defi/v3/ohlcv/pairOHLCV V3 - Pairdynamic<=1000: 60 CU; <=2000: 90 CU; <=5000: 120 CU

Birdeye Data API / Stats

EndpointSummaryCU modelCU rule
GET /defi/token_overviewToken - Overviewfixed20 CU
GET /defi/v3/pair/overview/multiplePair - Pair Overview (Multiple)batchceil(15 * pair_count^0.8)
GET /defi/v3/pair/overview/singlePair - Pair Overview (Single)fixed15 CU
POST /defi/v3/price/stats/multiplePrice stats (Multiple)batchceil(8 * count^0.8)
GET /defi/v3/price/stats/singlePrice stats (Single)fixed8 CU
GET /defi/v3/token/exit-liquidityToken - Liquidity (Single)fixed15 CU
GET /defi/v3/token/exit-liquidity/multipleToken - Liquidity (Multiple)batchceil(15 * count^0.8)
GET /defi/v3/token/market-dataToken - Market Data (Single)fixed10 CU
GET /defi/v3/token/market-data/multipleToken - Market Data (Multiple)batchceil(10 * count^0.8)
GET /defi/v3/token/meta-data/multipleToken - Metadata (Multiple)batchceil(3 * count^0.8)
GET /defi/v3/token/meta-data/singleToken - Metadata (Single)fixed3 CU
GET /defi/v3/token/trade-data/multipleToken - Trade Data (Multiple)batchceil(12 * count^0.8)
GET /defi/v3/token/trade-data/singleToken - Trade Data (Single)fixed12 CU

Birdeye Data API / Token/Market List

EndpointSummaryCU modelCU rule
GET /defi/tokenlistToken - List (V1)fixed30 CU
GET /defi/v2/marketsToken - All Market Listfixed30 CU
GET /defi/v2/tokens/new_listingToken - New listingfixed30 CU
GET /defi/v3/token/listToken - List (V3)fixed75 CU
GET /defi/v3/token/list/scrollToken - List (V3) Scrollfixed400 CU

Birdeye Data API / Transactions

EndpointSummaryCU modelCU rule
GET /defi/txs/pairTrades - Pairfixed10 CU
GET /defi/txs/pair/seek_by_timeTrades - Pair Seek By Timefixed10 CU
GET /defi/txs/tokenTrades - Tokenfixed10 CU
GET /defi/txs/token/seek_by_timeTrades - Token Seek By Timefixed10 CU
GET /defi/v3/token/mint-burn-txsToken - Mint/Burnfixed30 CU
GET /defi/v3/token/txsTrades - Token (V3)fixed15 CU
GET /defi/v3/token/txs-by-volumeTrades - Token Filtered By Volume (V3)dynamic<=100: 50 CU; <=200: 80 CU; <=500: 300 CU
GET /defi/v3/txsTrades - All (V3)fixed20 CU
GET /defi/v3/txs/recentTrades - Recent (V3)dynamic<=100: 25 CU; <=300: 75 CU; <=500: 125 CU
GET /trader/txs/seek_by_timeTrader - Trades Seek By Timefixed10 CU

Birdeye Data API / Wallet, Networth & PnL

EndpointSummaryCU modelCU rule
GET /defi/v2/tokens/top_tradersToken - Top tradersfixed35 CU
GET /trader/gainers-losersTrader - Gainers/Losersfixed30 CU
GET /v1/wallet/list_supported_chainWallet Supported Networksfixed1 CU
GET /v1/wallet/token_listWallet Portfolio (Beta)fixed60 CU
GET /v1/wallet/tx_listWallet - Transaction History (Beta)fixed60 CU
GET /wallet/v2/current-net-worthWallet - Portfolio (V2)fixed40 CU
GET /wallet/v2/leaderboardWallet - Leaderboardfixed25 CU
GET /wallet/v2/net-worthWallet - Net Worth Chartfixed50 CU
GET /wallet/v2/net-worth-detailsWallet - Net Worth Detailsfixed50 CU
POST /wallet/v2/net-worth-summary/multipleWallet - Current Net Worth Summary (Multiple)batchceil(50 * count^0.8)
GET /wallet/v2/pnlWallet - PnL (Per Token)batchceil(10 * count^0.8)
GET /wallet/v2/pnl/chartWallet - PnL Chartfixed35 CU
POST /wallet/v2/pnl/detailsWallet - PnL Detailsfixed40 CU
GET /wallet/v2/pnl/multipleWallet - PnL (Per Wallet)batchceil(10 * count^0.8)
GET /wallet/v2/pnl/summaryWallet - PnLfixed30 CU
POST /wallet/v2/tx/first-fundedWallet - First Tx Fundedbatchceil(50 * wallet_count^0.8)

Birdeye Data API / Balance & Transfer

EndpointSummaryCU modelCU rule
POST /token/v1/transferToken - Transfer Listfixed10 CU
POST /token/v1/transfer/totalToken - Transfer Totalfixed1 CU
GET /v1/wallet/token_balanceWallet - Token Balance (Beta)fixed10 CU
GET /wallet/v2/balance-changeWallet - Balance Changefixed10 CU
POST /wallet/v2/token-balanceWallet - Tokens Balancebatchceil(10 * token_count^0.8)
POST /wallet/v2/transferWallet - Transferfixed10 CU
POST /wallet/v2/transfer/totalWallet - Transfer totalfixed1 CU

Birdeye Data API / Holder

EndpointSummaryCU modelCU rule
GET /defi/v3/token/holderToken - Holderfixed35 CU
GET /holder/v1/distributionToken - Holder Distributionfixed35 CU
GET /token/v1/chart/tag-holdingsToken - Tag Holdings Chartfixed20 CU
GET /token/v1/first-buyersToken - First Buyersfixed25 CU
GET /token/v1/holder-positionsToken - Holder Positionsfixed50 CU
GET /token/v1/holder-profileToken - Holder Profilefixed35 CU
POST /token/v1/holder/batchToken - Holder (Batch)batchceil(5 * wallet_count^0.8)
GET /token/v1/holder/chartToken - Holder Chartfixed25 CU
GET /token/v1/wallet-tags-trackerToken - Wallet Tags Trackerfixed50 CU
GET /token/v1/wallet-tags-tracker/detailsToken - Wallet Tags Tracker Detailsfixed50 CU

Birdeye Data API / Alltime & History

EndpointSummaryCU modelCU rule
POST /defi/v3/all-time/trades/multipleAll Time Trades (Multiple)batchceil(15 * count^0.8)
GET /defi/v3/all-time/trades/singleAll Time Trades (Single)fixed15 CU

Birdeye Data API / Blockchain

EndpointSummaryCU modelCU rule
GET /defi/networksSupported Networksfixed1 CU
GET /defi/v3/txs/latest-blockTrades - Latest Block Numberfixed1 CU

Birdeye Data API / Creation & Trending

EndpointSummaryCU modelCU rule
GET /defi/token_creation_infoToken - Creation Token Infofixed50 CU
GET /defi/token_trendingToken - Trending Listfixed40 CU

Birdeye Data API / Meme

EndpointSummaryCU modelCU rule
GET /defi/v3/token/meme/detail/singleMeme Token Detail - Singlefixed25 CU
GET /defi/v3/token/meme/listMeme Token - Listfixed50 CU

Birdeye Data API / Security

EndpointSummaryCU modelCU rule
GET /defi/token_securityToken - Securityfixed40 CU

Birdeye Data API / Search & Utils

EndpointSummaryCU modelCU rule
GET /defi/v3/searchSearch - Token, market Datafixed40 CU
GET /utils/v1/creditsUtils - Credits Usage of current accountfixed1 CU

Birdeye Data API / Smart Money

EndpointSummaryCU modelCU rule
GET /smart-money/v1/token/listSmart Money - Token Listfixed20 CU

Birdeye Data API / Global Fees Paid

EndpointSummaryCU modelCU rule
GET /defi/v3/token/fee/multipleToken - Fee (Multiple)batchceil(5 * count^0.8)
GET /defi/v3/token/fee/singleToken - Fee (Single)fixed5 CU

Birdeye Data API / DEX & Protocol

EndpointSummaryCU modelCU rule
GET /market/v1/blockchain-metricsBlockchain Market Metricsfixed50 CU

Birdeye Data API / Wallet Identity

EndpointSummaryCU modelCU rule
GET /identity/v1/domainsWallet Identity - Domainsfixed5 CU
POST /identity/v1/multipleWallet Identity - Multiplebatchceil(40 * count^0.8)
GET /identity/v1/singleWallet Identity - Singlefixed40 CU

Blockchain Data API / Account

EndpointSummaryCU modelCU rule
GET /blockchain/v1/account/detailBlockchain - Account Detailfixed5 CU
POST /blockchain/v1/account/detail/multipleBlockchain - Multiple Account Detailsbatchceil(5 * address_count^0.5)
GET /blockchain/v1/account/token-accountsBlockchain - Token Accountsfixed2 CU

Blockchain Data API / Token

EndpointSummaryCU modelCU rule
GET /blockchain/v1/token/metadataBlockchain - Token Metadatafixed5 CU
POST /blockchain/v1/token/metadata/multipleBlockchain - Multiple Token Metadatabatchceil(5 * token_count^0.5)

Blockchain Data API / Transaction

EndpointSummaryCU modelCU rule
GET /blockchain/v1/transaction/detailBlockchain - Transaction Detailfixed10 CU

Perps Data API / Perps - Token

EndpointSummaryCU modelCU rule
GET /perps/v1/token/liquidation_mapPerps - Token Liquidation Mapfixed10 CU
GET /perps/v1/token/listPerps - Token Listfixed10 CU
GET /perps/v1/token/open_positionsPerps - Token Open Positionsfixed10 CU
GET /perps/v1/token/overviewPerps - Token Overviewfixed5 CU

Perps Data API / Perps - Wallet

EndpointSummaryCU modelCU rule
GET /perps/v1/wallet/listPerps - Wallet Listfixed10 CU
GET /perps/v1/wallet/open_positionsPerps - Wallet Open Positionsfixed5 CU
GET /perps/v1/wallet/overviewPerps - Wallet Overviewfixed5 CU